{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.ostrich.egg_check": {
      "initial_state": "default",
      "states": {
        "default": {
          "on_entry": [
            "v.cooldown_timer = 0;"
          ],
          "transitions": [
            {
              "remove": "query.property('silverlabs_nat:egg_protector') && q.has_rider"
            },
            {
              "cooldown": "query.property('silverlabs_nat:egg_protector') && !q.has_target"
            }
          ]
        },
        "cooldown": {
          "on_entry": [
            "v.cooldown_timer = query.life_time;"
          ],
          "transitions": [
            {
              "remove": "q.has_rider"
            },
            {
              "default": "!query.property('silverlabs_nat:egg_protector') || q.has_target"
            },
            {
              "egg_check": "query.life_time >= (v.cooldown_timer + 6.0)"
            }
          ]
        },
        "egg_check": {
          "on_entry": [
            "/execute unless entity @e[type=silverlabs_nat:ostrich_egg,c=1,r=24] run event entity @s silverlabs_nat:remove_egg_protector"
          ],
          "transitions": [
            {
              "default": "1"
            }
          ]
        },
        "remove": {
          "on_entry": [
            "@s silverlabs_nat:remove_egg_protector"
          ],
          "transitions": [
            {
              "default": "1"
            }
          ]
        }
      }
    },
    "controller.animation.silverlabs_nat.ostrich.flap": {
      "initial_state": "grounded",
      "states": {
        "grounded": {
          "transitions": [
            {
              "flapping": "query.property('silverlabs_nat:has_rider') && !q.is_on_ground"
            }
          ]
        },
        "flapping": {
          "on_entry": [
            "/effect @s slow_falling 2 0 true"
          ],
          "transitions": [
            {
              "grounded": "q.is_on_ground || !query.property('silverlabs_nat:has_rider')"
            }
          ]
        }
      }
    }
  }
}
